<?php

/**
 * PHPOF2/Optimisation/Interface.php - PHPOF2 driver-specific optimisation interface
 *
 * (c)2008 Tim Jackson (tim@timj.co.uk)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of version 3 of the GNU Lesser General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package PHPOF2
 */

interface PHPOF2_Optimisation_Interface
{
	/**
	 * Return this constant if you don't implement a particular function
	 *
	 */
	const UNIMPLEMENTED = 'unimp';
	
	/**
	 * Optimised overload of the PHPOF2_DBTable::discoverSchema() method
	 *
	 */
	public static function tableDiscoverSchema(PHPOF2_DBTable &$table, &$fields_normal, &$fields_lob, &$pri_keys, &$fgn_keys, &$key_auto_increment);
}
