<?php
require_once 'PHPOF2/DB.php';
require_once 'PHPOF2/DBTable.php';
require_once 'PHPOF2/DBRow.php';

if (!isset($argv[1])) {
	die("Usage: $argv[0] [dsn]\n");
}
// The DSN to the main application database
$dsn = $argv[1];

$db = PHPOF2_DB::factory($dsn);
$db->query("DELETE FROM widgets");

$table = new PHPOF2_DBTable($db, 'widgets');
$row = $table->createRowObject();

$row->name = 'a';
$row->price = 5;
$row->insert();

$row->clear();
$row->name = 'b';
$row->price = 10;
$row->insert();

$result = $table->getAll();
$array = $result->getArray('name');
$correct = array('a', 'b');
$compare = array_diff($array, $correct);
if (count($compare) > 0) {
	print "Failed test 1; expected:";
	print_r($correct);
	print "\nGot:";
	print_r($array);
	exit(5);
}

$array = $result->getArray('name', 'price');
$correct = array('a' => '5', 'b' => '10');
$compare = array_diff($array, $correct);
if (count($compare) > 0) {
	print "Failed test 2; expected:";
	print_r($correct);
	print "\nGot:";
	print_r($array);
	exit(5);
}

print "OK\n";
